Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg12
Class SVG12DOMImplementation

    java.lang.Object
      org.apache.batik.dom.AbstractDOMImplementation
          org.apache.batik.dom.ExtensibleDOMImplementation
              org.apache.batik.dom.svg.SVGDOMImplementation
                  org.apache.batik.dom.svg12.SVG12DOMImplementation

All Implemented Interfaces:
  Serializable, StyleSheetFactory, CSSStyleDeclarationFactory, Localizable, DOMImplementationCSS, DOMImplementation

    public class SVG12DOMImplementation

extends SVGDOMImplementation

This class implements the `DOMImplementation` interface. It provides support the SVG 1.2 documents.

See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `SVG12DOMImplementation.FlowDivElementFactory` To create a 'flowDiv' element.
`protected static class` | `SVG12DOMImplementation.FlowLineElementFactory` To create a 'flowLine' element.
`protected static class` | `SVG12DOMImplementation.FlowParaElementFactory` To create a 'flowPara' element.
`protected static class` | `SVG12DOMImplementation.FlowRegionBreakElementFactory` To create a 'flowRegionBreak' element.
`protected static class` | `SVG12DOMImplementation.FlowRegionElementFactory` To create a 'flowRegion' element.
`protected static class` | `SVG12DOMImplementation.FlowRegionExcludeElementFactory` To create a 'flowRegion' element.
`protected static class` | `SVG12DOMImplementation.FlowRootElementFactory` To create a 'flowRoot' element.
`protected static class` | `SVG12DOMImplementation.FlowSpanElementFactory` To create a 'flowSpan' element.
`protected static class` | `SVG12DOMImplementation.HandlerElementFactory` To create a 'handler' element.
`protected static class` | `SVG12DOMImplementation.MultiImageElementFactory` To create a 'multiImage' element.
`protected static class` | `SVG12DOMImplementation.SolidColorElementFactory` To create a 'solidColor' element.
`protected static class` | `SVG12DOMImplementation.SubImageElementFactory` To create a 'subImage' element.
`protected static class` | `SVG12DOMImplementation.SubImageRefElementFactory` To create a 'SubImageRef' element.
`protected static class` | `SVG12DOMImplementation.XBLContentElementFactory` To create a 'xbl:content' element.
`protected static class` | `SVG12DOMImplementation.XBLDefinitionElementFactory` To create a 'xbl:definition' element.
`protected static class` | `SVG12DOMImplementation.XBLHandlerGroupElementFactory` To create a 'xbl:handlerGroup' element.
`protected static class` | `SVG12DOMImplementation.XBLImportElementFactory` To create a 'xbl:import' element.
`protected static class` | `SVG12DOMImplementation.XBLShadowTreeElementFactory` To create a 'xbl:shadowTree' element.
`protected static class` | `SVG12DOMImplementation.XBLTemplateElementFactory` To create a 'xbl:template' element.
`protected static class` | `SVG12DOMImplementation.XBLXBLElementFactory` To create a 'xbl:xbl' element.

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.SVGDOMImplementation
`SVGDOMImplementation.AElementFactory, SVGDOMImplementation.AltGlyphDefElementFactory, SVGDOMImplementation.AltGlyphElementFactory, SVGDOMImplementation.AltGlyphItemElementFactory, SVGDOMImplementation.AnimateColorElementFactory, SVGDOMImplementation.AnimateElementFactory, SVGDOMImplementation.AnimateMotionElementFactory, SVGDOMImplementation.AnimateTransformElementFactory, SVGDOMImplementation.CircleElementFactory, SVGDOMImplementation.ClipPathElementFactory, SVGDOMImplementation.ColorProfileElementFactory, SVGDOMImplementation.CursorElementFactory, SVGDOMImplementation.DefinitionSrcElementFactory, SVGDOMImplementation.DefsElementFactory, SVGDOMImplementation.DescElementFactory, SVGDOMImplementation.EllipseElementFactory, SVGDOMImplementation.FeBlendElementFactory, SVGDOMImplementation.FeColorMatrixElementFactory, SVGDOMImplementation.FeComponentTransferElementFactory, SVGDOMImplementation.FeCompositeElementFactory, SVGDOMImplementation.FeConvolveMatrixElementFactory, SVGDOMImplementation.FeDiffuseLightingElementFactory, SVGDOMImplementation.FeDisplacementMapElementFactory, SVGDOMImplementation.FeDistantLightElementFactory, SVGDOMImplementation.FeFloodElementFactory, SVGDOMImplementation.FeFuncAElementFactory, SVGDOMImplementation.FeFuncBElementFactory, SVGDOMImplementation.FeFuncGElementFactory, SVGDOMImplementation.FeFuncRElementFactory, SVGDOMImplementation.FeGaussianBlurElementFactory, SVGDOMImplementation.FeImageElementFactory, SVGDOMImplementation.FeMergeElementFactory, SVGDOMImplementation.FeMergeNodeElementFactory, SVGDOMImplementation.FeMorphologyElementFactory, SVGDOMImplementation.FeOffsetElementFactory, SVGDOMImplementation.FePointLightElementFactory, SVGDOMImplementation.FeSpecularLightingElementFactory, SVGDOMImplementation.FeSpotLightElementFactory, SVGDOMImplementation.FeTileElementFactory, SVGDOMImplementation.FeTurbulenceElementFactory, SVGDOMImplementation.FilterElementFactory, SVGDOMImplementation.FontElementFactory, SVGDOMImplementation.FontFaceElementFactory, SVGDOMImplementation.FontFaceFormatElementFactory, SVGDOMImplementation.FontFaceNameElementFactory, SVGDOMImplementation.FontFaceSrcElementFactory, SVGDOMImplementation.FontFaceUriElementFactory, SVGDOMImplementation.ForeignObjectElementFactory, SVGDOMImplementation.GElementFactory, SVGDOMImplementation.GlyphElementFactory, SVGDOMImplementation.GlyphRefElementFactory, SVGDOMImplementation.HkernElementFactory, SVGDOMImplementation.ImageElementFactory, SVGDOMImplementation.LinearGradientElementFactory, SVGDOMImplementation.LineElementFactory, SVGDOMImplementation.MarkerElementFactory, SVGDOMImplementation.MaskElementFactory, SVGDOMImplementation.MetadataElementFactory, SVGDOMImplementation.MissingGlyphElementFactory, SVGDOMImplementation.MpathElementFactory, SVGDOMImplementation.PathElementFactory, SVGDOMImplementation.PatternElementFactory, SVGDOMImplementation.PolygonElementFactory, SVGDOMImplementation.PolylineElementFactory, SVGDOMImplementation.RadialGradientElementFactory, SVGDOMImplementation.RectElementFactory, SVGDOMImplementation.ScriptElementFactory, SVGDOMImplementation.SetElementFactory, SVGDOMImplementation.StopElementFactory, SVGDOMImplementation.StyleElementFactory, SVGDOMImplementation.SvgElementFactory, SVGDOMImplementation.SwitchElementFactory, SVGDOMImplementation.SymbolElementFactory, SVGDOMImplementation.TextElementFactory, SVGDOMImplementation.TextPathElementFactory, SVGDOMImplementation.TitleElementFactory, SVGDOMImplementation.TrefElementFactory, SVGDOMImplementation.TspanElementFactory, SVGDOMImplementation.UseElementFactory, SVGDOMImplementation.ViewElementFactory, SVGDOMImplementation.VkernElementFactory`

Nested classes/interfaces inherited from class org.apache.batik.dom.ExtensibleDOMImplementation
`ExtensibleDOMImplementation.ElementFactory`

Field Summary
`protected static DOMImplementation` | `DOM_IMPLEMENTATION` The default instance of this class.
`protected static HashTable` | `svg12Factories` The SVG element factories.
`protected static HashTable` | `xblFactories` The XBL element factories.

Fields inherited from class org.apache.batik.dom.svg.SVGDOMImplementation
`factories, RESOURCES, SVG_NAMESPACE_URI, svg11Factories`

Fields inherited from class org.apache.batik.dom.ExtensibleDOMImplementation
`customFactories, customShorthandManagers, customValueManagers, extensions, localizableSupport`

Fields inherited from class org.apache.batik.dom.AbstractDOMImplementation
`features`

Constructor Summary
`SVG12DOMImplementation()` Creates a new SVGDOMImplementation object.

Method Summary
`CSSEngine` | `createCSSEngine(AbstractStylableDocument doc, CSSContext ctx, ExtendedParser ep, ValueManager[] vms, ShorthandManager[] sms)`
`Document` | `createDocument(String namespaceURI, String qualifiedName, DocumentType doctype)` DOM: Implements `DOMImplementation.createDocument(String,String,DocumentType)`.
`DocumentEventSupport` | `createDocumentEventSupport()` Creates an DocumentEventSupport object suitable for use with this implementation.
`Element` | `createElementNS(AbstractDocument document, String namespaceURI, String qualifiedName)` Implements the behavior of Document.createElementNS() for this DOM implementation.
`EventSupport` | `createEventSupport(AbstractNode n)` Creates an EventSupport object for the given node.
`static DOMImplementation` | `getDOMImplementation()` Returns the default instance of this class.

Methods inherited from class org.apache.batik.dom.svg.SVGDOMImplementation
`createCSSStyleDeclaration, createCSSStyleSheet, createDocumentType, createStyleSheet, createViewCSS, getUserAgentStyleSheet, initLocalizable`

Methods inherited from class org.apache.batik.dom.ExtensibleDOMImplementation
`createCSSEngine, formatMessage, getDomExtensions, getLocale, registerCustomCSSShorthandManager, registerCustomCSSValueManager, registerCustomElementFactory, setLocale`

Methods inherited from class org.apache.batik.dom.AbstractDOMImplementation
`getFeature, hasFeature, registerFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`getFeature, hasFeature`

Field Detail

### svg12Factories

    protected static HashTable svg12Factories

  The SVG element factories.

### xblFactories

    protected static HashTable xblFactories

  The XBL element factories.

### DOM_IMPLEMENTATION

    protected static final DOMImplementation DOM_IMPLEMENTATION

  The default instance of this class.

Constructor Detail

### SVG12DOMImplementation

    public SVG12DOMImplementation()

  Creates a new SVGDOMImplementation object.

Method Detail

### createCSSEngine

    public CSSEngine createCSSEngine(AbstractStylableDocument doc,
                                     CSSContext ctx,
                                     ExtendedParser ep,
                                     ValueManager[] vms,
                                     ShorthandManager[] sms)

  Overrides:
    `createCSSEngine` in class `SVGDOMImplementation`

### createDocument

    public Document createDocument(String namespaceURI,
                                   String qualifiedName,
                                   DocumentType doctype)
                            throws DOMException

  DOM: Implements `DOMImplementation.createDocument(String,String,DocumentType)`.

  Specified by:
    `createDocument` in interface `DOMImplementation`
  Overrides:
    `createDocument` in class `SVGDOMImplementation`
  Throws:
    `DOMException`

### createElementNS

    public Element createElementNS(AbstractDocument document,
                                   String namespaceURI,
                                   String qualifiedName)

  Implements the behavior of Document.createElementNS() for this DOM implementation.

  Overrides:
    `createElementNS` in class `SVGDOMImplementation`

### createDocumentEventSupport

    public DocumentEventSupport createDocumentEventSupport()

  Creates an DocumentEventSupport object suitable for use with this implementation.

  Overrides:
    `createDocumentEventSupport` in class `SVGDOMImplementation`

### createEventSupport

    public EventSupport createEventSupport(AbstractNode n)

  Creates an EventSupport object for the given node.

  Overrides:
    `createEventSupport` in class `AbstractDOMImplementation`

### getDOMImplementation

    public static DOMImplementation getDOMImplementation()

  Returns the default instance of this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.